Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class StyleConstants.ParagraphConstants

    java.lang.Object
      |
      +--javax.swing.text.StyleConstants
            |
            +--javax.swing.text.StyleConstants.ParagraphConstants

All Implemented Interfaces:
  AttributeSet.ParagraphAttribute

Enclosing class:
  StyleConstants

public static class StyleConstants.ParagraphConstants
extends StyleConstants
implements AttributeSet.ParagraphAttribute

This is a typesafe enumeration of the well-known attributes that contribute to a paragraph style. These are aliased by the outer class for general presentation.

Nested Class Summary

Nested classes inherited from class javax.swing.text.StyleConstants
`StyleConstants.CharacterConstants, StyleConstants.ColorConstants, StyleConstants.FontConstants, StyleConstants.ParagraphConstants`

Field Summary
`static Object` | `Alignment` Alignment for the paragraph.
`static Object` | `FirstLineIndent` The amount of space to indent the first line of the paragraph.
`static Object` | `LeftIndent` The amount to indent the left side of the paragraph.
`static Object` | `LineSpacing` The amount of space between lines of the paragraph.
`static Object` | `Orientation` Orientation for the paragraph.
`static Object` | `RightIndent` The amount to indent the right side of the paragraph.
`static Object` | `SpaceAbove` The amount of space above the paragraph.
`static Object` | `SpaceBelow` The amount of space below the paragraph.
`static Object` | `TabSet` TabSet for the paragraph.

Fields inherited from class javax.swing.text.StyleConstants
`ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_LEFT, ALIGN_RIGHT, Background, BidiLevel, Bold, ComponentAttribute, ComponentElementName, ComposedTextAttribute, FontFamily, FontSize, Foreground, IconAttribute, IconElementName, Italic, ModelAttribute, NameAttribute, ResolveAttribute, StrikeThrough, Subscript, Superscript, Underline`

Methods inherited from class javax.swing.text.StyleConstants
`getAlignment, getBackground, getBidiLevel, getComponent, getFirstLineIndent, getFontFamily, getFontSize, getForeground, getIcon, getLeftIndent, getLineSpacing, getRightIndent, getSpaceAbove, getSpaceBelow, getTabSet, isBold, isItalic, isStrikeThrough, isSubscript, isSuperscript, isUnderline, setAlignment, setBackground, setBidiLevel, setBold, setComponent, setFirstLineIndent, setFontFamily, setFontSize, setForeground, setIcon, setItalic, setLeftIndent, setLineSpacing, setRightIndent, setSpaceAbove, setSpaceBelow, setStrikeThrough, setSubscript, setSuperscript, setTabSet, setUnderline, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FirstLineIndent

    public static final Object FirstLineIndent

  The amount of space to indent the first line of the paragraph. This value may be negative to offset in the reverse direction. The type is Float and specifies the size of the space in points.

### LeftIndent

    public static final Object LeftIndent

  The amount to indent the left side of the paragraph. Type is float and specifies the size in points.

### RightIndent

    public static final Object RightIndent

  The amount to indent the right side of the paragraph. Type is float and specifies the size in points.

### LineSpacing

    public static final Object LineSpacing

  The amount of space between lines of the paragraph. Type is float and specifies the size in points.

### SpaceAbove

    public static final Object SpaceAbove

  The amount of space above the paragraph. Type is float and specifies the size in points.

### SpaceBelow

    public static final Object SpaceBelow

  The amount of space below the paragraph. Type is float and specifies the size in points.

### Alignment

    public static final Object Alignment

  Alignment for the paragraph. The type is Integer. Valid values are:
  - ALIGN_LEFT
  - ALIGN_RIGHT
  - ALIGN_CENTER
  - ALIGN_JUSTIFED

### TabSet

    public static final Object TabSet

  TabSet for the paragraph.

### Orientation

    public static final Object Orientation

  Orientation for the paragraph.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.